Name: ca_SWITCH-Personal
Version: 1.6
Release: 1
Source: ca_SWITCH-Personal-1.6.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_SWITCH-Personal-1.6/7c0f6d74.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for classic accredited authority SWITCH-Personal

%if %([ -n "" ] && echo 1 || echo 0)
URL: 
%endif

%if %([ -n "ca_SWITCH = 1.6" ] && echo 1 || echo 0)
Requires: ca_SWITCH = 1.6
%endif

%prep
%setup -n ca_SWITCH-Personal-1.6

%description
This is the trust anchor for the classic accredited authority SWITCH-Personal.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr 7c0f6d74.* $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

